Bug 1840839 - Recognition of git type fails when user adds www in the URL
Summary: Recognition of git type fails when user adds www in the URL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.6.0
Assignee: Mohammed Saud
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-27 17:11 UTC by Mohammed Saud
Modified: 2020-10-27 16:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:01:53 UTC
Target Upstream Version:


Attachments (Terms of Use)
Recognition of git type does not fails when user adds www in the URL (95.85 KB, image/png)
2020-06-10 21:33 UTC, spathak@redhat.com
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5607 0 None closed Bug 1840839: Check for www when adding from git repo 2020-06-15 09:53:18 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:02:19 UTC

Description Mohammed Saud 2020-05-27 17:11:40 UTC
If the user enters a URL such as 'http://github.com/openshift-roadshow/nationalparks-py', it detects the git type correctly but when the user enters a URL 'http://www.github.com/openshift-roadshow/nationalparks-py', it cannot detect the git type and user has to select it manually.

Comment 4 spathak@redhat.com 2020-06-10 21:33:39 UTC
Created attachment 1696583 [details]
Recognition of git type does not fails when user adds www in the URL

Comment 5 spathak@redhat.com 2020-06-10 21:35:13 UTC
Verified on build number:4.6.0-0.nightly-2020-06-10-085922
Verified on browser: Chrome 76

Comment 7 errata-xmlrpc 2020-10-27 16:01:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.